Back to Platform

PUT /custom/fields/{id}

PUT
/custom/fields/{id}

PUT operation for /custom/fields/{id}

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://dev-rest.onboard.io/custom/fields/string" \  -H "Content-Type: application/json" \  -d '{    "label": "string",    "description": "string",    "object": "customer",    "type": "number",    "options": {},    "is_internal": true,    "is_active": true,    "tables_display_enabled": true,    "panels_display_enabled": true,    "outboard_display_enabled": true,    "map_types": "string"  }'
{
  "id": 1,
  "label": "string",
  "api_name": "string",
  "description": "string",
  "object": "customer",
  "type": "number",
  "options": {},
  "is_internal": true,
  "is_active": true,
  "created_at": "2021-01-01T00:00:00Z",
  "tables_display_enabled": true,
  "panels_display_enabled": true,
  "outboard_display_enabled": true,
  "map_types": "string"
}
Empty
Empty
Empty

How is this guide?